BillKit/Docs Console
Checkout

Get one-shot payment

Retrieve one one-off payment, including how much of it has been refunded.

GET/v1/checkout/one_shot/{one_shot_id}
Operation get_one_shot · Scope checkout_sessions:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
one_shot_idstring · pathrequiredNo description in the spec.

Returns

Returns an OneShotPaymentResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the checkout_sessions:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/checkout/one_shot/osp_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "amount_cents": 1900,
  "amount_disputed_cents": 1900,
  "amount_refundable_cents": 1900,
  "amount_refunded_cents": 1900,
  "cancel_url": "https://acme.example/welcome",
  "created": 1789392000,
  "currency": "EUR",
  "customer_id": "cus_9XKp2vQ1",
  "description": "string",
  "expires_at": 1789392000,
  "failure_reason": "string",
  "id": "osp_9XKp2vQ1",
  "livemode": false,
  "metadata": {
    "key": "value"
  },
  "method": "string",
  "net_cents": 1900,
  "object": "one_shot_payment",
  "paid_at": 1789392000,
  "redirect_url": "https://acme.example/welcome",
  "status": "string",
  "success_url": "https://acme.example/welcome",
  "tax_cents": 1900,
  "tax_reverse_charged": false
}